package com.sqx.modules.creadit.controller;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.sqx.common.utils.Result;
import com.sqx.modules.creadit.entity.Credit;
import com.sqx.modules.creadit.service.CreditService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;
import java.util.List;

@RestController
@Api(value = "信用分控制配置", tags = {"信用分控制配置"})
@RequestMapping("/app/credit")
public class CreditController {

    @Resource
    private CreditService creditService;

    /**
     * 0-用户显示扣司机，1-司机端显示扣用户 2-查询全部
     * @param isDriver
     * @return
     */
    @GetMapping("/getCreditList")
    @ApiOperation("获取信用分配置列表")
    public Result getCreditList(Integer isDriver){
        List<Credit> list = creditService.list(new QueryWrapper<Credit>().eq(isDriver != 2, "is_driver", isDriver));
        return Result.success().put("data",list);
    }

}
